//
// Copyright 2011 EXANPE <exanpe@gmail.com>
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
// http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//

package fr.exanpe.t5.lib.components;

import org.apache.tapestry5.BindingConstants;
import org.apache.tapestry5.Block;
import org.apache.tapestry5.annotations.Parameter;
import org.apache.tapestry5.annotations.Property;

import fr.exanpe.t5.lib.base.BaseAuthorize;
import fr.exanpe.t5.lib.mixins.AuthorizeMixin;

/**
 * This component displays its body/block according to authorizations rules declared.<br/>
 * All rules will be applied if provided. If one fails, the body/block won't be rendered.<br/>
 * any/all/not must be filled with comma separated roles, as set into your session principal.<br/>
 * For easier maintenance, we advise you to fill only one of any/all/not parameter.
 * 
 * @since 1.2
 * @see BaseAuthorize
 * @see AuthorizeMixin
 * @author jmaupoux
 */
public class Authorize extends BaseAuthorize
{
    /**
     * Block to render authorization. If not provided, the body of the component is rendered.
     */
    @SuppressWarnings("unused")
    @Property
    @Parameter(defaultPrefix = BindingConstants.PROP)
    private Block block;

}
